Subject: Re: request_module while holding rtnl semaphore

From: Patrick McHardy <[email-masked]>
Date: Wed, 10 Nov 2004 02:47:28 +0100

Thomas Graf wrote:

>* Patrick McHardy <[email-masked]> 2004-11-10 02:29
>  
>
>>Assuming all error-paths do proper cleanup, returning -EAGAIN
>>should always result in the same configuration state as before.
>>    
>>
>
>I agree but this assumption is wrong, at least for u32.
>
It will be true soon :) Anything else is a bug, and a nice
side-effect of this change is that all those dusty error-paths
actually get used.

>I agree
>that once this is true it would work perfectly fine, however I 
>think it would be inefficient to parse the whole TLV tree multiple
>times.
>  
>
It will only happen once for every module, so I don't think
it's a big deal.

Regards
Patrick